> ## Documentation Index
> Fetch the complete documentation index at: https://docs.techslayers.ca/llms.txt
> Use this file to discover all available pages before exploring further.

# Stop scan

> Stop a running or pending scan by UUID.

# Stop scan

Stops a scan in progress and returns a message confirming the stop action.


## OpenAPI

````yaml openapi/senthrex.json POST /scan/{scan_uuid}/stop
openapi: 3.1.0
info:
  title: Senthrex Simulation API
  description: >-
    API for running comprehensive security assessments including subdomain
    enumeration, port scanning, vulnerability scanning, OSINT reconnaissance,
    and security exposure detection
  version: 2.0.0
servers:
  - url: https://rts-senthrex.slayers.tech
    description: Production server
security: []
paths:
  /scan/{scan_uuid}/stop:
    post:
      summary: Stop Scan
      description: Stop a running or pending scan.
      operationId: stop_scan_scan__scan_uuid__stop_post
      parameters:
        - name: scan_uuid
          in: path
          required: true
          schema:
            type: string
            title: Scan Uuid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    MessageResponse:
      properties:
        message:
          type: string
          title: Message
      type: object
      required:
        - message
      title: MessageResponse
      description: |-
        Generic single-message response.

        Attributes:
            message: Human-readable result message.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````